diff -ur src-1.3.1.1.orig/debian/postinst src-1.3.1.1/debian/postinst
--- src-1.3.1.1.orig/debian/postinst	2011-12-25 11:51:52.000000000 +0100
+++ src-1.3.1.1/debian/postinst	2011-12-25 13:23:26.000000000 +0100
@@ -2,144 +2,58 @@
 # alien added permissions fixup code
 chown 'bin:bin' '/usr/sbin/rsct/man/lssrc.1'
 
-##----------------------------------------------------------------
-# Function that tells whether the installation is on chroot directory(ex. SuSE kiwi environment) or not. Fix for defect 176977.
-is_chroot_mode()
-{
-	OS=$(uname -s)
-	if [[ $OS = "Linux" ]]; then
-		if [[ "$(/usr/bin/stat -c %d:%i /)" != "$(/usr/bin/stat -c %d:%i /proc/1/root/.)" ]]; then
-			return 1
-		fi
-	fi
-	return 0
-}
-
-# write /etc/event.d/srcmstr
-create_eventD_file()
-{
-cat  <<EOF
-
-#SRC:  run SRC master in runlevels 2,3,4,5 only
-#SRC:  SRC subsystems
-#SRC:
-start on runlevel [2345]
-
-stop on runlevel 0
-stop on runlevel 1
-stop on runlevel 6
-
-respawn
-exec /sbin/srcmstr
-
-EOF
-}
-# See if we have been installed before
-if [ "$1" = 1 ]
-then
-	# Create the directory used to store subsystem state
-	mkdir -p  /var/adm/SRC
-	chmod 660 /var/adm/SRC
-	chown 0:0 /var/adm/SRC
-fi
-REDHAT_RELFILE="/etc/redhat-release"
-REDHAT_VERSION="^Red Hat Enterprise Linux .*release 6.* (.*)$"
-
-# If this is RHEL6, should use /etc/event.d
-isRHEL6=0
-if [[ -f $REDHAT_RELFILE ]]
-then
-        grep "$REDHAT_VERSION" $REDHAT_RELFILE > /dev/null 2>&1
-        if (($? == 0))
-        then
-                isRHEL6=1
-        fi
+# Create the directory used to store subsystem state
+mkdir -p /var/adm/SRC
+chmod 660 /var/adm/SRC
+chown root:root /var/adm/SRC
 
-fi
-if [[ $isRHEL6 -eq 1 ]] 
-then
-    RHEL6_INITFILE=/etc/init/srcmstr.conf
-    if [[ -f $RHEL6_INITFILE ]]
-    then
-        true
-    else 
-        create_eventD_file > $RHEL6_INITFILE
-    fi
-    sudo initctl start srcmstr
-else
-
-#
 # When it is installed or upgraded
 # We do no already exist on the system so we need to 
 # add/update srcmstr to inittab 
+# Runlevels should be only 2,3,4,5.
 
-# 82545. Runlevels should be only 2,3,4,5.
-
-if grep "^src:[0-9][0-9]*:" /etc/inittab > /dev/null
-then
-	# The correct line already exists so leave it
-	true
-
-elif grep "^src:" /etc/inittab > /dev/null
-then
-	# Line already exists but the runlevels are incorrect
-	echo "Updating srcmstr to inittab...";
-
-	awk '\
-	/^src:/ {
-		print "src:2345:respawn:/sbin/srcmstr"
-		next
-	}
-	{ print }' /etc/inittab > /etc/inittab.tmp
-
-	rc=$?
-	if [ $rc -eq 0 ]
-	then
-		mv -f /etc/inittab.tmp /etc/inittab
-	fi
-
+egrep "^src:[0-9][0-9]*:" /etc/inittab 1>/dev/null 2>&1
+RC=$?
+if [ ${RC} -eq 0 ]; then
+    # The correct line already exists so leave it
+    exit 0
 else
-	# Add comment and subsystem definition to /etc/inittab
-	echo "Adding srcmstr to inittab...";
-
-	awk '\
-	{ print }
-	/^si *:.*:.*:/ {
-		print ""
-		print "#SRC:  run SRC master in runlevels 2,3,4,5 only"
-		print "#SRC:  SRC subsystems"
-		print "#SRC:"
-		print "#SRC:  N.B. SRC master MUST be started prior to invoking the rc command"
-		print "src:2345:respawn:/sbin/srcmstr"
-	}' /etc/inittab > /etc/inittab.tmp
-
-	rc=$?
-	if [ $rc -eq 0 ]
-	then
-		mv -f /etc/inittab.tmp /etc/inittab
-	fi
-fi
-
-# If not chroot mode, refresh init.
-is_chroot_mode
-if [[ $? -eq 0 ]]; then
-	/sbin/telinit Q
-fi
-
-fi # non RHEL6 case
-
-# Check for an update (perhaps multiple updates) being applied
-if [ "$1" -gt 1 ]
-then
-	# Get the pid of srcmstr
-	pid=$(/bin/ps -o pid -C srcmstr --no-headers)
-
-	# If srcmstr is running, terminate it to refresh
-	# SIGTERM can not be used since it stopped all subsystems
-	if [  -n "$pid" ]
-	then
-		LC_ALL=C /bin/kill -s SIGKILL $pid
-	fi
+    egrep "^src:" /etc/inittab 1>/dev/null 2>&1
+    RC=$?
+    if [ ${RC} -eq 0 ]; then
+        # Line already exists but the runlevels are incorrect
+        echo "Updating srcmstr to inittab...";
+        awk '\
+            /^src:/ {
+            print "src:2345:respawn:/sbin/srcmstr"
+            next
+            }
+            { print }' /etc/inittab > /etc/inittab.tmp
+
+        RC=$?
+        if [ ${RC} -eq 0 ]; then
+            mv -f /etc/inittab.tmp /etc/inittab
+        fi
+    else
+        # Add comment and subsystem definition to /etc/inittab
+        echo "Adding srcmstr to inittab...";
+        awk '\
+            { print }
+            /^si *:.*:.*:/ {
+                print ""
+            print "#SRC:  run SRC master in runlevels 2,3,4,5 only"
+            print "#SRC:  SRC subsystems"
+            print "#SRC:"
+            print "#SRC:  N.B. SRC master MUST be started prior to invoking the rc command"
+            print "src:2345:respawn:/sbin/srcmstr"
+            }' /etc/inittab > /etc/inittab.tmp
+
+        RC=$?
+        if [ ${RC} -eq 0 ]; then
+            mv -f /etc/inittab.tmp /etc/inittab
+        fi
+    fi
+    /sbin/telinit Q
 fi
 
-true    # assume the post installation successful
\ No newline at end of file
+exit 0
diff -ur src-1.3.1.1.orig/debian/prerm src-1.3.1.1/debian/prerm
--- src-1.3.1.1.orig/debian/prerm	2011-12-25 11:51:52.000000000 +0100
+++ src-1.3.1.1/debian/prerm	2011-12-25 13:23:35.000000000 +0100
@@ -1,56 +1,40 @@
 #!/bin/bash
-# Pre-uninstall string --------------------------------------------------------
 
-if [ "$1" = 0 ]
-then
-
-    # if RHEL6
-    if [[ -f /etc/event.d/srcmstr ]]
-    then
-        sudo initctl stop srcmstr
-        rm -f /etc/event.d/srcmstr
+if [ "$1" = "purge" ]; then
+    # Remove entry from /etc/inittab for srcmstr
+    egrep "^src:" /etc/inittab 1>/dev/null 2>&1
+    RC=$?
+    if [ ${RC} -eq 0 ]; then
+        awk '\
+        /^#SRC:/ { next }
+        /^src:/    {
+            getline
+            if ( $0 !~ /^$/ ) {
+                print
+            }
+            next
+        }    
+        { print }' /etc/inittab > /etc/inittab.tmp
+
+        RC=$?
+        if [ ${RC} -eq 0 ]; then
+            mv -f /etc/inittab.tmp /etc/inittab
+
+            # Refresh init
+            /sbin/telinit Q
+        fi
     fi
-	# Remove entry from /etc/inittab for srcmstr
-	if grep "^src:" /etc/inittab > /dev/null
-	then
-		awk '\
-		/^#SRC:/ { next }
-		/^src:/	{
-			getline
-			if ( $0 !~ /^$/ ) {
-				print
-			}
-			next
-		}	
-		{ print }' /etc/inittab > /etc/inittab.tmp
-
-		rc=$?
-		if [ $rc -eq 0 ]
-		then
-			mv -f /etc/inittab.tmp /etc/inittab
-
-			# Refresh init
-			/sbin/telinit Q
-		fi
-	fi
-
-	# Remove ODM lock file from /etc/objrepos. Ignore the error msg
-	rm -f /etc/objrepos/SRCodmlock  2> /dev/null
-
-	# Remove SRC data bases. Ignore the error msg
-	rm -f /etc/objrepos/SRCextmeth /etc/objrepos/SRCnotify /etc/objrepos/SRCsubsvr \
-		/etc/objrepos/SRCsubsys /etc/objrepos/SRCsubsys.rpmsave 2> /dev/null
-
-	# Remove SRC active and watch lists
-	rm -rf /var/adm/SRC 2> /dev/null
-
-	# return always true
-	true
-
-else
-  
-	# Not the final uninstall so leave src entries alone
-	true
+
+    # Remove ODM lock file from /etc/objrepos. Ignore the error msg
+    rm -f /etc/objrepos/SRCodmlock  2>/dev/null
+
+    # Remove SRC data bases. Ignore the error msg
+    rm -f /etc/objrepos/SRCextmeth /etc/objrepos/SRCnotify /etc/objrepos/SRCsubsvr \
+        /etc/objrepos/SRCsubsys 2>/dev/null
+
+    # Remove SRC active and watch lists
+    rm -rf /var/adm/SRC 2>/dev/null
 fi
 
-true
\ No newline at end of file
+# return always true
+exit 0
